Name:    semantik 
Summary: Mind-mapping tool
Version: 0.7.3
Release: 2%{?dist}

License: GPLv3 
URL:     http://code.google.com/p/semantik/ 
Source0: http://semantik.googlecode.com/files/semantik-%{version}.tar.bz2

# where ocaml is availble
ExclusiveArch: alpha %{ix86} ia64 x86_64 ppc ppc64 sparc sparcv9

Patch1: semantik-0.7.3-optflags.patch
## upstreamable patches
# fix linking for f15+ newer ocaml
Patch50: semantik-0.7.3-ocaml.patch
# the default desktop file is broken
Patch51: semantik-0.7.3-fixdesktop.patch

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: ocaml
BuildRequires: PyKDE4
BuildRequires: python-devel 

Requires: PyKDE4

%description
Semantik (previously Kdissert) is a mind mapping tool to help students
to produce complicated documents very quickly and efficiently :
presentations, dissertations, thesis, reports. While targeted mostly at
students, Kdissert can also help teachers, decision maker, engineers and
businessmen. 


%prep 
%setup -q

%patch1 -p1 -b .optflags
%patch51 -p1 -b .fixdesktop
sed -i -e "s|RPM_OPT_FLAGS|%{optflags}|" wscript
%if 0%{?fedora} > 14
%patch50 -p1 -b .ocaml
%endif


%build
# wtf is more like it.  -- Rex
./waf configure \
  --prefix=`kde4-config --prefix` \
  --want-rpath=0

# HACK!  
sed -i -e "s|^LIBPATH_KDECORE = .*|LIBPATH_KDECORE = \'%{_libdir}/kde4/devel\'|" \
  build/c4che/default.cache.py

./waf build %{?_smp_mflags} --verbose


%install
./waf install --destdir=%{buildroot}

#fix rpmlint complaints
chmod a+rx %{buildroot}%{_libdir}/libnablah.so
#not exactly sure here maybe remove shebang
chmod a+rx %{buildroot}%{_kde4_appsdir}/semantik/templates/pdflatex/wscript
chmod a+rx %{buildroot}%{_kde4_appsdir}/semantik/templates/beamer/wscript
chmod a+rx %{buildroot}%{_kde4_appsdir}/semantik/templates/waf
chmod a+rx %{buildroot}%{_kde4_appsdir}/semantik/filters/*.py
chmod a+rx %{buildroot}%{_kde4_appsdir}/semantik/sembind.py

%find_lang %{name} --with-kde || echo "WARNING: no translations found"
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/semantik.desktop

%post
/usr/bin/update-desktop-database &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
/sbin/ldconfig

%postun
update-desktop-database -q &> /dev/null
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null
  touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :

%files -f %{name}.lang
%doc ChangeLog README TODO
%{_kde4_bindir}/semantik
%{_kde4_libdir}/libnablah.so
%{_kde4_appsdir}/semantik/
%{_kde4_datadir}/applications/kde4/semantik.desktop
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/*/*

%changelog
* Tue Sep 13 2011 Gregor Tätzner <gregor@freenet.de> - 0.7.3-2
- fixed desktop file and some rpmlint errors
- spec file cleanup

* Wed Aug 17 2011 Rex Dieter <rdieter@fedoraproject.org> 0.7.3-1
- semantik-0.7.3

* Wed Sep 02 2009 Rex Dieter <rdieter@fedoraproject.org> 0.7.2-1
- semantik-0.7.2
